Update Pass Template Distribution Restrictions
curl --request PUT \
--url https://api.loyalty.dog/v2/templates/{templateId}/restrictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quantityRestriction": 123,
"redemptionRestriction": 123,
"passwordProtection": "<string>",
"sharingRestriction": true,
"dateRestriction": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/restrictions"
payload = {
"quantityRestriction": 123,
"redemptionRestriction": 123,
"passwordProtection": "<string>",
"sharingRestriction": True,
"dateRestriction": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quantityRestriction: 123,
redemptionRestriction: 123,
passwordProtection: '<string>',
sharingRestriction: true,
dateRestriction: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.loyalty.dog/v2/templates/{templateId}/restrictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pass Templates > Distribution Restrictions
Update Pass Template Distribution Restrictions
Update Pass Template Distribution Restrictions
Update the distribution restrictions of the pass template.
Parameters:
restrictions(TemplateRestrictions): The updated distribution restrictions data.template(Template): The pass template.
Returns:
dict: The updated distribution restrictions of the pass template.
PUT
/
v2
/
templates
/
{templateId}
/
restrictions
Update Pass Template Distribution Restrictions
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Available options:
user_decides, show_existing, create_new Available options:
pass, url, disabled Response
Successful Response
⌘I
